{% extends "page.html.twig" %}

  {# Empty blocks (to simply hide them in this context, or to place them manually beyond.) #}
{# TODO: because of the new include structure, we cant empty the page_hero block here #}
{% block page_hero %}{% endblock page_hero %}
{% block page_options %}{% endblock page_options %}
{# TODO: breadcrumbs n/a #}
{# {% block breadcrumbs %}{% endblock breadcrumbs %} #}
{% block page_help %}{% endblock page_help %}


{# Add light grey background to the .page wrapper #}
{% set page_utility_classes = ['bg-gray-light'] %}

{# Define some helper vars #}
{% set url = url('<current>')['#markup'] %}
{% set is_login = 'user/login' in url %}
{% set is_password_reset = 'user/password' in url %}
{% set is_register = 'user/register' in url %}
{% set login_screen_image_path = '/' ~ parent_theme_path ~ '/build/assets/images/user_login_default_image.webp' %}
{% set login_title_icon_classes = 'ico ico-db-user ico--circled ico--lg bg-primary text-white' %}

{% set account_box_attributes = create_attribute() %}
{% set account_box_classes = [
  'account-box',
  'text-bg-white',
  'shadow',
  'rounded',
  'mt-5',
  'mb-5',
  logged_in ? 'account-box--logged-in' : 'account-box--logged-out',
  (is_login or logged_in) ? 'account-box--extended',
] %}
{% set container_attributes = create_attribute() %}
{% set container_classes = [
  'container'
] %}

{% block page_content %}
  {# DROWL Base extends user/drupal.user what is not attached here. #}
  {{ attach_library('drowl_base/user') }}
  {{ attach_library('drowl_base/user_login') }}
  {% set page_content %}
    <div class="p-4">
      <div class="page__help mb-3">
        {{ page.help }}
      </div>
      {% block page_title %}
        <div class="page__title row gx-1 align-items-center mb-2">
          <div class="col-auto">
            <i class="{{ login_title_icon_classes }}"></i>
          </div>
          <div class="col-auto">
            {% include 'radix:heading' with {
              heading_html_tag: 'h1',
              content: page['#title'],
              display: display|default(''),
              heading_attributes: title_attributes,
              heading_utility_classes: ['h3', 'mb-0']
            } only %}
          </div>
        </div>
      {% endblock page_title %}
      {{ page.content }}
      {% if not logged_in %}
        {{ page.page_options }}
      {% endif %}
    </div>
  {% endset %}
  <div{{ container_attributes.addClass(container_classes)}}>
    {# Add formatter class if we have a header image or not, so we can move the login form above the header image #}
    {% if (not hide_header_image) and (header_image_blocks_not_empty or header_image_field_not_empty or header_image_fallback_not_empty) %}
        {% set main_wrapper_classes = main_wrapper_classes|merge(['page-main-content--has-header-image']) %}
    {% endif %}
    <main{{ main_wrapper_attributes.addClass(main_wrapper_classes).setAttribute('id', 'main') }}>
      {% block login_box_outer %}
        <div{{ account_box_attributes.addClass(account_box_classes) }}>
          {% block login_box_inner %}
            <a id="main-content"></a>
            {% if is_login or logged_in %}
              <div class="row gx-0">
                <div class="col-sm-12{% if logged_in %} col-lg-8{% else %} col-lg-6{% endif %}">
                  {{ page_content }}
                </div>
                <div class="col-sm-12{% if logged_in %} col-lg-4{% else %} col-lg-6{% endif %}">
                  {% if logged_in %}
                    {{ page.page_options }}
                  {% else %}
                    {% block login_last_col_inner %}
                        <div class="account-box__secondary mb-0 pt-4 pr-4 pb-4 pl-4 text-bg-dark" style="background-image: url('{{ login_screen_image_path }}')">
                        </div>
                    {% endblock %}
                  {% endif %}
                </div>
              </div>
            {% else %}
              {{ page_content }}
            {% endif %}
          {% endblock login_box_inner %}
        </div>
      {% endblock login_box_outer %}
    </main>
  </div>
{% endblock page_content %}
